Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.essbase.api.base
Interface IEssValueAny

All Superinterfaces:
  IEssBaseObject

public interface IEssValueAny
extends IEssBaseObject

The IEssValueAny interface.

Nested Class Summary
`static class` | `IEssValueAny.EEssDataType` The EEssDataType class is an enumeration of data types.

Method Summary
`boolean` | `getBoolean()` Gets the boolean value.
`IEssValueAny.EEssDataType` | `getDataType()` Gets the data type of the value.
`java.util.Date` | `getDate()` Gets the Date value.
`double` | `getDouble()` Gets the double value.
`IEssEnum` | `getEssEnum()` Gets the IEssEnum value.
`float` | `getFloat()` Gets the float value.
`int` | `getInt()` Gets the int value.
`java.lang.Object` | `getObject()` Gets the Object value.
`short` | `getShort()` Gets the short value.
`java.lang.String` | `getString()` Gets the String value.
`java.lang.String[]` | `getStringArr()` Gets the String[] value.
`java.util.Vector` | `getVector()` Gets the Vector value.
`void` | `setBoolean(boolean value)` Sets the boolean value.
`void` | `setDate(java.util.Date value)` Sets the Date value.
`void` | `setDouble(double value)` Sets the double value.
`void` | `setEssEnum(IEssEnum value)` Sets the IEssEnum value.
`void` | `setFloat(float value)` Sets the float value.
`void` | `setInt(int value)` Sets the int value.
`void` | `setObject(java.lang.Object value)` Sets the Object value.
`void` | `setShort(short value)` Sets the short value.
`void` | `setString(java.lang.String value)` Sets the String value.
`void` | `setStringArr(java.lang.String[] value)` Sets the String[] value.
`void` | `setVector(java.util.Vector value)` Sets the Vector value.

Method Detail

### getDataType

    public IEssValueAny.EEssDataType getDataType()
                                          throws EssException

  Gets the data type of the value.

  Returns:
    The data type of the value.
  Throws:
    `EssException` - if an error occurs.

### getBoolean

    public boolean getBoolean()
                       throws EssException

  Gets the boolean value.

  Returns:
    The boolean value.
  Throws:
    `EssException` - if an error occurs.

### setBoolean

    public void setBoolean(boolean value)
                    throws EssException

  Sets the boolean value.

  Parameters:
    `value` - The boolean value.
  Throws:
    `EssException` - if an error occurs.

### getString

    public java.lang.String getString()
                               throws EssException

  Gets the String value.

  Returns:
    The String value.
  Throws:
    `EssException` - if an error occurs.

### setString

    public void setString(java.lang.String value)
                   throws EssException

  Sets the String value.

  Parameters:
    `value` - The String value.
  Throws:
    `EssException` - if an error occurs.

### getInt

    public int getInt()
               throws EssException

  Gets the int value.

  Returns:
    The int value.
  Throws:
    `EssException` - if an error occurs.

### setInt

    public void setInt(int value)
                throws EssException

  Sets the int value.

  Parameters:
    `value` - The int value.
  Throws:
    `EssException` - if an error occurs.

### getShort

    public short getShort()
                   throws EssException

  Gets the short value.

  Returns:
    The short value.
  Throws:
    `EssException` - if an error occurs.

### setShort

    public void setShort(short value)
                  throws EssException

  Sets the short value.

  Parameters:
    `value` - The short value.
  Throws:
    `EssException` - if an error occurs.

### getDouble

    public double getDouble()
                     throws EssException

  Gets the double value.

  Returns:
    The double value.
  Throws:
    `EssException` - if an error occurs.

### setDouble

    public void setDouble(double value)
                   throws EssException

  Sets the double value.

  Parameters:
    `value` - The double value.
  Throws:
    `EssException` - if an error occurs.

### getFloat

    public float getFloat()
                   throws EssException

  Gets the float value.

  Returns:
    The float value.
  Throws:
    `EssException` - if an error occurs.

### setFloat

    public void setFloat(float value)
                  throws EssException

  Sets the float value.

  Parameters:
    `value` - The float value.
  Throws:
    `EssException` - if an error occurs.

### getEssEnum

    public IEssEnum getEssEnum()
                        throws EssException

  Gets the IEssEnum value.

  Returns:
    The IEssEnum value.
  Throws:
    `EssException` - if an error occurs.

### setEssEnum

    public void setEssEnum(IEssEnum value)
                    throws EssException

  Sets the IEssEnum value.

  Parameters:
    `value` - The IEssEnum value.
  Throws:
    `EssException` - if an error occurs.

### getObject

    public java.lang.Object getObject()
                               throws EssException

  Gets the Object value.

  Returns:
    The Object value.
  Throws:
    `EssException` - if an error occurs.

### setObject

    public void setObject(java.lang.Object value)
                   throws EssException

  Sets the Object value.

  Parameters:
    `value` - The Object value.
  Throws:
    `EssException` - if an error occurs.

### getVector

    public java.util.Vector getVector()
                               throws EssException

  Gets the Vector value.

  Returns:
    The Vector value.
  Throws:
    `EssException` - if an error occurs.

### setVector

    public void setVector(java.util.Vector value)
                   throws EssException

  Sets the Vector value.

  Parameters:
    `value` - The Vector value.
  Throws:
    `EssException` - if an error occurs.

### getDate

    public java.util.Date getDate()
                           throws EssException

  Gets the Date value.

  Returns:
    The Date value.
  Throws:
    `EssException` - if an error occurs.

### setDate

    public void setDate(java.util.Date value)
                 throws EssException

  Sets the Date value.

  Parameters:
    `value` - The Date value.
  Throws:
    `EssException` - if an error occurs.

### getStringArr

    public java.lang.String[] getStringArr()
                                    throws EssException

  Gets the String[] value.

  Returns:
    The String[] value.
  Throws:
    `EssException` - if an error occurs.

### setStringArr

    public void setStringArr(java.lang.String[] value)
                      throws EssException

  Sets the String[] value.

  Parameters:
    `value` - The String[] value.
  Throws:
    `EssException` - if an error occurs.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD